package cn.ibizlab.demoapi.dto;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.math.BigInteger;
import java.util.Map;
import java.util.HashMap;
import java.io.Serializable;
import java.math.BigDecimal;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.alibaba.fastjson.annotation.JSONField;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import cn.ibizlab.util.domain.DTOBase;
import cn.ibizlab.util.domain.DTOClient;
import lombok.Data;

/**
 * 服务DTO对象[MicroComponentDTO]
 */
@Data
public class MicroComponentDTO extends DTOBase implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 属性 [CREATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "createdate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("createdate")
    private Timestamp createdate;

    /**
     * 属性 [CREATEMAN]
     *
     */
    @JSONField(name = "createman")
    @JsonProperty("createman")
    @Size(min = 0, max = 60, message = "内容长度必须小于等于[60]")
    private String createman;

    /**
     * 属性 [MICROCOMPONENTNAME]
     *
     */
    @JSONField(name = "microcomponentname")
    @JsonProperty("microcomponentname")
    @Size(min = 0, max = 200, message = "内容长度必须小于等于[200]")
    private String microcomponentname;

    /**
     * 属性 [MICROCOMPONENTID]
     *
     */
    @JSONField(name = "microcomponentid")
    @JsonProperty("microcomponentid")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String microcomponentid;

    /**
     * 属性 [UPDATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "updatedate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("updatedate")
    private Timestamp updatedate;

    /**
     * 属性 [UPDATEMAN]
     *
     */
    @JSONField(name = "updateman")
    @JsonProperty("updateman")
    @Size(min = 0, max = 60, message = "内容长度必须小于等于[60]")
    private String updateman;

    /**
     * 属性 [FIELD]
     *
     */
    @JSONField(name = "field")
    @JsonProperty("field")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String field;

    /**
     * 属性 [FIELD2]
     *
     */
    @JSONField(name = "field2")
    @JsonProperty("field2")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String field2;

    /**
     * 属性 [FIELD3]
     *
     */
    @JSONField(name = "field3")
    @JsonProperty("field3")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String field3;

    /**
     * 属性 [FIELD4]
     *
     */
    @JSONField(name = "field4")
    @JsonProperty("field4")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String field4;

    /**
     * 属性 [FIELD5]
     *
     */
    @JSONField(name = "field5")
    @JsonProperty("field5")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String field5;

    /**
     * 属性 [FIELD6]
     *
     */
    @JSONField(name = "field6")
    @JsonProperty("field6")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String field6;

    /**
     * 属性 [FIELD7]
     *
     */
    @JSONField(name = "field7")
    @JsonProperty("field7")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String field7;

    /**
     * 属性 [FIELD8]
     *
     */
    @JSONField(name = "field8")
    @JsonProperty("field8")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String field8;

    /**
     * 属性 [FIELD9]
     *
     */
    @JSONField(name = "field9")
    @JsonProperty("field9")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String field9;

    /**
     * 属性 [FIELD10]
     *
     */
    @JSONField(name = "field10")
    @JsonProperty("field10")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String field10;

    /**
     * 属性 [FIELD11]
     *
     */
    @JSONField(name = "field11")
    @JsonProperty("field11")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String field11;

    /**
     * 属性 [FIELD12]
     *
     */
    @JSONField(name = "field12")
    @JsonProperty("field12")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String field12;

    /**
     * 属性 [FIELD13]
     *
     */
    @JSONField(name = "field13")
    @JsonProperty("field13")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String field13;

    /**
     * 属性 [FIELD14]
     *
     */
    @JSONField(name = "field14")
    @JsonProperty("field14")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String field14;

    /**
     * 属性 [FIELD15]
     *
     */
    @JSONField(name = "field15")
    @JsonProperty("field15")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String field15;

    /**
     * 属性 [FIELD16]
     *
     */
    @JSONField(name = "field16")
    @JsonProperty("field16")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String field16;

    /**
     * 属性 [FIELD17]
     *
     */
    @JSONField(name = "field17")
    @JsonProperty("field17")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String field17;

    /**
     * 属性 [FIELD18]
     *
     */
    @JSONField(name = "field18")
    @JsonProperty("field18")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String field18;

    /**
     * 属性 [FIELD19]
     *
     */
    @JSONField(name = "field19")
    @JsonProperty("field19")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String field19;

    /**
     * 属性 [FIELD20]
     *
     */
    @JSONField(name = "field20")
    @JsonProperty("field20")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String field20;

    /**
     * 属性 [FIELD21]
     *
     */
    @JSONField(name = "field21")
    @JsonProperty("field21")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String field21;

    /**
     * 属性 [FIELD22]
     *
     */
    @JSONField(name = "field22")
    @JsonProperty("field22")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String field22;

    /**
     * 属性 [FIELD23]
     *
     */
    @JSONField(name = "field23")
    @JsonProperty("field23")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String field23;

    /**
     * 属性 [FIELD24]
     *
     */
    @JSONField(name = "field24")
    @JsonProperty("field24")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String field24;


    /**
     * 设置 [MICROCOMPONENTNAME]
     */
    public void setMicrocomponentname(String  microcomponentname){
        this.microcomponentname = microcomponentname ;
        this.modify("microcomponentname",microcomponentname);
    }

    /**
     * 设置 [FIELD]
     */
    public void setField(String  field){
        this.field = field ;
        this.modify("field",field);
    }

    /**
     * 设置 [FIELD2]
     */
    public void setField2(String  field2){
        this.field2 = field2 ;
        this.modify("field2",field2);
    }

    /**
     * 设置 [FIELD3]
     */
    public void setField3(String  field3){
        this.field3 = field3 ;
        this.modify("field3",field3);
    }

    /**
     * 设置 [FIELD4]
     */
    public void setField4(String  field4){
        this.field4 = field4 ;
        this.modify("field4",field4);
    }

    /**
     * 设置 [FIELD5]
     */
    public void setField5(String  field5){
        this.field5 = field5 ;
        this.modify("field5",field5);
    }

    /**
     * 设置 [FIELD6]
     */
    public void setField6(String  field6){
        this.field6 = field6 ;
        this.modify("field6",field6);
    }

    /**
     * 设置 [FIELD7]
     */
    public void setField7(String  field7){
        this.field7 = field7 ;
        this.modify("field7",field7);
    }

    /**
     * 设置 [FIELD8]
     */
    public void setField8(String  field8){
        this.field8 = field8 ;
        this.modify("field8",field8);
    }

    /**
     * 设置 [FIELD9]
     */
    public void setField9(String  field9){
        this.field9 = field9 ;
        this.modify("field9",field9);
    }

    /**
     * 设置 [FIELD10]
     */
    public void setField10(String  field10){
        this.field10 = field10 ;
        this.modify("field10",field10);
    }

    /**
     * 设置 [FIELD11]
     */
    public void setField11(String  field11){
        this.field11 = field11 ;
        this.modify("field11",field11);
    }

    /**
     * 设置 [FIELD12]
     */
    public void setField12(String  field12){
        this.field12 = field12 ;
        this.modify("field12",field12);
    }

    /**
     * 设置 [FIELD13]
     */
    public void setField13(String  field13){
        this.field13 = field13 ;
        this.modify("field13",field13);
    }

    /**
     * 设置 [FIELD14]
     */
    public void setField14(String  field14){
        this.field14 = field14 ;
        this.modify("field14",field14);
    }

    /**
     * 设置 [FIELD15]
     */
    public void setField15(String  field15){
        this.field15 = field15 ;
        this.modify("field15",field15);
    }

    /**
     * 设置 [FIELD16]
     */
    public void setField16(String  field16){
        this.field16 = field16 ;
        this.modify("field16",field16);
    }

    /**
     * 设置 [FIELD17]
     */
    public void setField17(String  field17){
        this.field17 = field17 ;
        this.modify("field17",field17);
    }

    /**
     * 设置 [FIELD18]
     */
    public void setField18(String  field18){
        this.field18 = field18 ;
        this.modify("field18",field18);
    }

    /**
     * 设置 [FIELD19]
     */
    public void setField19(String  field19){
        this.field19 = field19 ;
        this.modify("field19",field19);
    }

    /**
     * 设置 [FIELD20]
     */
    public void setField20(String  field20){
        this.field20 = field20 ;
        this.modify("field20",field20);
    }

    /**
     * 设置 [FIELD21]
     */
    public void setField21(String  field21){
        this.field21 = field21 ;
        this.modify("field21",field21);
    }

    /**
     * 设置 [FIELD22]
     */
    public void setField22(String  field22){
        this.field22 = field22 ;
        this.modify("field22",field22);
    }

    /**
     * 设置 [FIELD23]
     */
    public void setField23(String  field23){
        this.field23 = field23 ;
        this.modify("field23",field23);
    }

    /**
     * 设置 [FIELD24]
     */
    public void setField24(String  field24){
        this.field24 = field24 ;
        this.modify("field24",field24);
    }


}


